%define oname OpenJPEG

%define major 5
%define lib_name %mklibname %{name} %{major}
%define lib_dev %mklibname %{name} -d

%define common_description The OpenJPEG library is an open-source JPEG 2000 codec written in C\
language. It has been developed in order to promote the use of JPEG\
2000, the new still-image compression standard from the Joint\
Photographic Experts Group (JPEG).

Name: openjpeg
Epoch: 1
Version: 1.5.2
%define subrel 2
Release: %mkrel 5
Summary: An open-source JPEG 2000 codec 
License: BSD
Group: System/Libraries
Url: http://www.openjpeg.org/
Source0: http://prdownloads.sourceforge.net/openjpeg.mirror/%{name}-%{version}.tar.gz
Patch1: openjpeg-1.5.2-CVE-2013-1447.patch
Patch2: openjpeg-1.5.2-CVE-2013-6887.patch
Patch3: openjpeg-1.5.2-CVE-2014-0158.patch
Patch4: openjpeg-1.5.2-CVE-2016-7445.patch
Patch5: openjpeg-1.5.2-CVE-2016-7163.patch
Patch6: openjpeg-1.5.2-CVE-2016-9573.patch
Patch7: openjpeg-1.5.2-CVE-2016-5139.patch
Patch8: openjpeg-1.5.2-CVE-2016-5158.patch
Patch9: openjpeg-1.5.2-CVE-2016-5159.patch
Patch10: openjpeg-1.5.2-fix-memory-leaks.patch
BuildRequires: png-devel
BuildRequires: tiff-devel
BuildRequires: lcms2-devel
BuildRequires: cmake
BuildRequires: dos2unix

%description
%{common_description}

%package -n %{lib_name}
Summary: %{oname} library
Group: System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{oname} library.

%{common_description}

%package -n %{lib_dev}
Summary: Development tools for programs using the %{oname} library
Group: Development/C
Requires: %{lib_name} = %{epoch}:%{version}
Requires: %{name} = %{epoch}:%{version}
Provides: %{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{lib_dev}
This package contains the header files and libraries needed for
developing programs using the %{oname} library.

%{common_description}


%prep
%setup -q
dos2unix libopenjpeg/opj_malloc.h
%apply_patches

%build
%cmake \
  -DOPENJPEG_INSTALL_BIN_DIR:PATH=%{_bindir} \
  -DOPENJPEG_INSTALL_DATA_DIR:PATH=%{_datadir} \
  -DOPENJPEG_INSTALL_INCLUDE_DIR:PATH=%{_includedir} \
  -DOPENJPEG_INSTALL_LIB_DIR:PATH=%{_libdir}
%make

%install
%makeinstall_std -C build

mv %{buildroot}%{_docdir}/%{name}-* %{buildroot}%{_docdir}/%{name}

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_docdir}/%{name}

%files -n %{lib_name}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{lib_dev}
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}-*/*.cmake


%changelog
* Wed Apr 26 2017 ns80 <ns80> 1:1.5.2-5.2.mga5
+ Revision: 1097493
- add patches for CVE-2016-5139, CVE-2016-515[89], CVE-2016-7163 and CVE-2016-9573 (mga#20559)

  + luigiwalser <luigiwalser>
    - add patch from opensuse to fix CVE-2016-7445

* Wed Oct 15 2014 umeabot <umeabot> 1:1.5.2-5.mga5
+ Revision: 748826
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 luigiwalser <luigiwalser> 1:1.5.2-4.mga5
+ Revision: 738299
- remove CVE-2013-6045 patch (fixed differently upstream in 1.5.2)

* Tue Sep 16 2014 umeabot <umeabot> 1:1.5.2-3.mga5
+ Revision: 683218
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 luigiwalser <luigiwalser> 1:1.5.2-2.mga5
+ Revision: 615188
- sync 2 changes from fedora mingw-openjpeg package:
  - add back non-upstreamed portions of previous CVE patches
  - add patch to fix CVE-2014-0158

* Sat Mar 29 2014 luigiwalser <luigiwalser> 1:1.5.2-1.mga5
+ Revision: 609672
- 1.5.2

* Fri Dec 27 2013 luigiwalser <luigiwalser> 1:1.5.1-4.mga4
+ Revision: 560985
- add patches from fedora mingw-openjpeg to fix security issues (mga#11863)

* Sat Oct 19 2013 umeabot <umeabot> 1:1.5.1-2.mga4
+ Revision: 526601
- Mageia 4 Mass Rebuild

* Thu Jun 06 2013 fwang <fwang> 1:1.5.1-1.mga4
+ Revision: 438303
- revert to 1.5.1

* Thu Jun 06 2013 fwang <fwang> 2.0.0-1.mga4
+ Revision: 438275
- update file list
- new version 2.0.0

* Mon Jun 03 2013 fwang <fwang> 1.5.1-4.mga4
+ Revision: 435513
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 1.5.1-3.mga3
+ Revision: 362044
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 guillomovitch <guillomovitch> 1.5.1-2.mga3
+ Revision: 336158
- fix doc directory location and ownership

* Fri Sep 28 2012 luigiwalser <luigiwalser> 1.5.1-1.mga3
+ Revision: 299031
- 1.5.1
- remove patches (fixed upstream)
- library major is now 5
- fix library name in files list
- fix devel package reqs (from mdv)

* Mon Sep 17 2012 luigiwalser <luigiwalser> 1.5.0-5.mga3
+ Revision: 295615
- add upstream patch to fix CVE-2012-3535

* Wed Jul 11 2012 luigiwalser <luigiwalser> 1.5.0-4.mga3
+ Revision: 269565
- add upstream patch to fix CVE-2012-3358

* Mon Jul 02 2012 luigiwalser <luigiwalser> 1.5.0-3.mga3
+ Revision: 266764
- fix CVE-2009-5030 patch

* Fri Jun 29 2012 luigiwalser <luigiwalser> 1.5.0-2.mga3
+ Revision: 265105
- add upstream patch to work around CVE-2009-5030

* Thu Apr 12 2012 fwang <fwang> 1.5.0-1.mga2
+ Revision: 230350
- sync with fedora patches
- new version 1.5.0

* Sun Dec 25 2011 fwang <fwang> 1.4-3.mga2
+ Revision: 187415
- rebuild for new tiff

* Fri Oct 07 2011 fwang <fwang> 1.4-2.mga2
+ Revision: 152637
- fix header of openjpeg

* Fri Oct 07 2011 fwang <fwang> 1.4-1.mga2
+ Revision: 152599
- use plain lib
- specify libdir
- new version 1.4, sync with fedora

* Sat Jan 15 2011 ahmad <ahmad> 1.3-7.mga1
+ Revision: 19348
- imported package openjpeg


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3-7mdv2011.0
+ Revision: 607018
- rebuild

* Mon Dec 21 2009 Funda Wang <fwang@mandriva.org> 1.3-6mdv2010.1
+ Revision: 480780
- add gentoo patch (bug#50606)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3-5mdv2010.0
+ Revision: 426345
- rebuild

* Sun Aug 03 2008 Helio Chissini de Castro <helio@mandriva.com> 1.3-4mdv2009.0
+ Revision: 262256
- Push new openjpeg build. Needed for kde4 okular

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.3-3mdv2009.0
+ Revision: 254780
- rebuild

* Sun Mar 02 2008 Olivier Blin <oblin@mandriva.com> 1.3-1mdv2008.1
+ Revision: 177766
- fix lib install on x86_64
- 1.3
- rediff inst patch
- use makeinstall_std

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1.1.1-1mdv2008.1
+ Revision: 141036
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Mar 11 2007 Olivier Blin <oblin@mandriva.com> 1.1.1-1mdv2007.1
+ Revision: 141340
- 1.1.1

* Mon Jan 08 2007 Olivier Blin <oblin@mandriva.com> 1.0-2mdv2007.1
+ Revision: 106206
- remove misleading description
- remove empty package

* Mon Jan 08 2007 Olivier Blin <oblin@mandriva.com> 1.0-1mdv2007.1
+ Revision: 106121
- initial openjpeg release
- Create openjpeg

